Bug 1121360 - Add qtwebkit as a dependency for spyder
Summary: Add qtwebkit as a dependency for spyder
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: spyder
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 20:06 UTC by Joseph Martinot-Lagarde
Modified: 2016-12-01 00:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 09:33:20 UTC


Attachments (Terms of Use)

Description Joseph Martinot-Lagarde 2014-07-19 20:06:11 UTC
Description of problem:
Spyder needs the qtwebkit package to run, but it is not listed as a dependency.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the spyder package without qtwebkit
2. try to run spyder
3.

Actual results:
The following traceback is shown in the console and spyder doesn't start:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/spyderlib/spyder.py", line 2333, in main
    mainwindow = run_spyder(app, options, args)
  File "/usr/lib/python2.7/site-packages/spyderlib/spyder.py", line 2221, in run_spyder
    main.setup()
  File "/usr/lib/python2.7/site-packages/spyderlib/spyder.py", line 768, in setup
    message=_("DON'T USE THIS CONSOLE TO RUN CODE!\n\n"
  File "/usr/lib/python2.7/site-packages/spyderlib/plugins/console.py", line 74, in __init__
    self.find_widget.set_editor(self.shell)
  File "/usr/lib/python2.7/site-packages/spyderlib/widgets/findreplace.py", line 261, in set_editor
    from spyderlib.qt.QtWebKit import QWebView
  File "/usr/lib/python2.7/site-packages/spyderlib/qt/QtWebKit.py", line 10, in <module>
    from PyQt4.QtWebKit import *  # analysis:ignore
ImportError: libQtWebKit.so.4: cannot open shared object file: No such file or directory

Expected results:
Spyder starts without errors.

Additional info:
This is supported by the following bug report: https://code.google.com/p/spyderlib/issues/detail?id=1897#makechanges
I remember having the same problem on CentOS but I can't remember which version.

Comment 1 Fedora Update System 2014-07-30 08:18:19 UTC
spyder-2.2.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/spyder-2.2.4-3.fc20

Comment 2 Fedora Update System 2014-07-30 21:58:19 UTC
Package spyder-2.2.4-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spyder-2.2.4-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9029/spyder-2.2.4-3.fc20
then log in and leave karma (feedback).

Comment 3 Andriy 2014-08-07 08:37:53 UTC
libQtWebKit.so.4 is part of qtwebkit.

qtwebkit is needed for PyQt4.

spyder depends on PyQt4.

I am wondering, how it is possible to install spyder without qtwebkit? 

rpmreaper shows the spyder dependencies as shown below:

 L      9.1M spyder                    2.2.4-1.fc20.noarch
       14.5M ├─> PyQt4                     4.10.2-5.fc20.i686                   
        313K │   ├─> dbus-libs                 1.6.12-9.fc20.i686
        826K │   ├─> dbus-python               1.2.0-1.fc20.i686
  o    14.3M │   ├─> glibc                     2.18-12.fc20.i686
        1.2M │   ├─> libX11                    1.6.1-1.fc20.i686
         83K │   ├─> libXext                   1.3.2-2.fc20.i686
        199K │   ├─> libgcc                    4.8.3-1.fc20.i686
  o     998K │   ├─> libstdc++                 4.8.3-1.fc20.i686
        543K │   ├─> mesa-libGL                10.1.5-1.20140607.fc20.i686
  o     687K │   ├─> phonon                    4.7.2-1.fc20.1.i686
         79K │   ├─> python                    2.7.5-13.fc20.i686
       22.8M │   ├─> python-libs               2.7.5-13.fc20.i686
       17.1M │   ├─> qt                        4.8.6-9.fc20.1.i686
       33.6M │   ├─> qt-x11                    4.8.6-9.fc20.1.i686
       66.4M │   ├─> qtwebkit                  2.3.3-7.fc20.i686
        360K │   └─> sip                       4.14.7-2.fc20.i686
  o     3.4M ├─> bash                      4.2.47-3.fc20.i686
         48K ├─> hicolor-icon-theme        0.13-1.fc20.noarch
         98K ├─> pyflakes                  0.7.3-4.fc20.noarch
         79K ├─> python                    2.7.5-13.fc20.i686
        1.4M ├─> python-rope               0.10.2-4.fc20.noarch
        3.8M └─> python-sphinx             1.1.3-9.fc20.noarch

Comment 4 Radek Novacek 2014-08-07 09:33:20 UTC
Thanks for noticing, I've reverted the commit.

I'll close this bug as not-a-bug.


Note You need to log in before you can comment on or make changes to this bug.